#
# spec file for package rubygem-actionpack-2_3
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-actionpack-2_3
Version:        2.3.18
Release:        2.6
%define mod_name actionpack
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -2_3
# MANUAL
BuildRequires:  fdupes
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
Url:            http://www.rubyonrails.org
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Web-flow and rendering framework putting the VC in MVC
License:        MIT
Group:          Development/Languages/Ruby

%description
Eases web-request routing, handling, and response as a half-way front,
half-way page controller. Implemented with specific emphasis on enabling easy
unit/integration testing that doesn't require a browser.

%prep

%build

%install
%gem_install \
  --doc-files="README CHANGELOG MIT-LICENSE" \
  -f
# MANUAL
rm -f %{buildroot}%{_libdir}/ruby/gems/*/gems/%{mod_name}-%{version}/test/fixtures/test/hello_world.erb~
rm -f %{buildroot}%{_libdir}/ruby/gems/*/gems/%{mod_name}-%{version}/test/fixtures/test/malformed/malformed.en.html.erb~
rm -f %{buildroot}%{_libdir}/ruby/gems/*/gems/%{mod_name}-%{version}/test/fixtures/test/malformed/malformed.html.erb~
rm -f %{buildroot}%{_libdir}/ruby/gems/*/gems/%{mod_name}-%{version}/test/fixtures/test/malformed/malformed.erb~

find %{buildroot}%{_libdir}/ruby/gems/*/gems/%{mod_name}-%{version} -name "*.orig" -delete -print

%fdupes %{buildroot}%{_libdir}/ruby/gems/*/gems/%{mod_name}-%{version}
%fdupes %{buildroot}%{_libdir}/ruby/gems/*/doc/%{mod_name}-%{version}
# /MANUAL


%gem_packages

%changelog
* Sat Nov  1 2014 tboerger@suse.com
- Replaced rb_ver with an asterisk to expand correctly with multiple ruby versions
* Fri Oct 24 2014 tboerger@suse.com
- Updated to 2.3.18
- Removed rpmlint errors
* Fri Oct 24 2014 tboerger@suse.com
- Added new ruby macros
* Sun Mar 10 2013 coolo@suse.com
- updated to version 2.3.17
* Tue Jan  8 2013 coolo@suse.com
- updated to version 2.3.15, no changelog
* Wed Aug 17 2011 mrueckert@suse.de
- update to version 2.3.14
  - fix fixing strip tags vulnerability (bnc#712057)
  - fixing response splitting problem (bnc#712058)
* Mon Jun 20 2011 mrueckert@suse.de
- update to version 2.3.12
  - dont call destroy on a session if it doesnt respond to destroy
  - fix session timeout handling
* Wed Feb 16 2011 mrueckert@suse.de
- update to version 2.3.11: (bnc#668817)
  - XSS Risk in mail_to :encode=>:javascript CVE-2011-0446
  - CSRF Bypass Risk CVE-2011-0447
  - Filter Problems on Case Insensitive Filesystems CVE-2011-0449
  - Potential SQL Injection with limit() CVE-2011-0448
* Mon Jan 17 2011 mvidner@suse.cz
- Split off doc and testsuite subpackages.
* Wed Oct 27 2010 mrueckert@suse.de
- update to version 2.3.10
  * Version bump.
* Sun Sep  5 2010 mrueckert@suse.de
- update to version 2.3.9
  * Version bump.
* Tue May 25 2010 mrueckert@suse.de
- use rubygems_requires macro
* Tue May 25 2010 mrueckert@suse.de
- update to version 2.3.8
  * HTML safety: fix compatibility *without* the optional rails_xss
    plugin.
- additional changes from version 2.3.7
  * HTML safety: fix compatibility with the optional rails_xss
    plugin.  [Nathan Weizenbaum, Santiago Pastorino]
- additional changes from version 2.3.6
  * JSON: set Base.include_root_in_json = true to include a root
    value in the JSON: {"post": {"title": ...}}. Mirrors the Active
    Record option.  #2584 [Matthew Moore, Joe Martinez, Elad
    Meidar, Santiago Pastorino]
  * Ruby 1.9: ERB template encoding using a magic comment at the
    top of the file.  [Jeremy Kemper] <%%# encoding: utf-8 %%>
  * Fixed that default locale templates should be used if the
    current locale template is missing [DHH]
  * Fixed that PrototypeHelper#update_page should return html_safe
    [DHH]
  * Fixed that much of DateHelper wouldn't return html_safe?
    strings [DHH]
  * Fixed that fragment caching should return a cache hit as
    html_safe (or it would all just get escaped) [DHH]
  * Introduce String#html_safe for rails_xss plugin and
    forward-compatibility with Rails 3.  [Michael Koziarski,
    Santiago Pastorino, José Ignacio Costa]
  * Added :alert, :notice, and :flash as options to
    ActionController::Base#redirect_to that'll automatically set
    the proper flash before the redirection [DHH].
  * Added ActionController::Base#notice/= and
    ActionController::Base#alert/= as a convenience accessors in
    both the controller and the view for flash[:notice]/= and
    flash[:alert]/= [DHH]
  * Added cookies.permanent, cookies.signed, and
    cookies.permanent.signed accessor for common cookie actions
    [DHH].
- removed actionpack-2.3.5_button_to.patch:
  included in update
* Thu Feb 18 2010 aduffeck@novell.com
- add a patch to fix (bnc#581792):
  https://rails.lighthouseapp.com/projects/8994/tickets/3448-button_to-does-not-return-an-html-safe-string
* Fri Jan 15 2010 mrueckert@suse.de
- fix requires on rack. gem spec and code disagree with each other.
* Tue Dec  1 2009 chris@computersalat.de
- update to version 2.3.5
  - Minor Bug Fixes and deprecation warnings
  - Ruby 1.9 Support
  - Fix filtering parameters when there are Fixnum or other
    un-dupable values.
  - Improvements to ActionView::TestCase
  - Compatiblity with the rails_xss plugin
- removed actionpack-2.3.4_number_to_human_size_fix_eb30c695444b904d7937c8c12c59da9a8c4d60e5.patch:
  included in update
* Fri Nov 20 2009 mrueckert@suse.de
- added actionpack-2.3.4_number_to_human_size_fix_eb30c695444b904d7937c8c12c59da9a8c4d60e5.patch
  fix number_to_human_size (bnc#545720)
* Thu Sep 10 2009 adrian@suse.de
- update to version 2.3.4
* Fri Jun  5 2009 mrueckert@suse.de
- add rails-2.3.2_http_auth_digest_nil_check.patch:
  do not allow authentication with a missing password (bnc#509914)
* Mon Mar 16 2009 mrueckert@suse.de
- starting package for the rails 2.3 series
